//---------------------------------------------------------------------------

#ifndef AFHforHFAH
#define AFHforHFAH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Chart.hpp>
#include <ExtCtrls.hpp>
#include <Series.hpp>
#include <TeEngine.hpp>
#include <TeeProcs.hpp>
#include <stdio.h>
#include <dos.h>
#include <dir.h>
#include <math.h>
#include "..\\main\\main.h"
#include "..\\monitoring\\monitoring.h"
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TAFH : public TForm
{
__published:	// IDE-managed Components
        TChart *Chart1;
        TLineSeries *Series1;
        TButton *Button1;
        TStatusBar *StatusBar1;
        void __fastcall Chart1MouseMove(TObject *Sender, TShiftState Shift,
          int X, int Y);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall Chart1MouseDown(TObject *Sender,
          TMouseButton Button, TShiftState Shift, int X, int Y);
        void __fastcall Chart1MouseUp(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
        void __fastcall Button1Click(TObject *Sender);
private:	// User declarations
        int data[26];
        int XX, YY;
        int x0,y0,xn,yn;
        int I;
        float dx, dy;
        void Sglash(void);
public:		// User declarations
        void ReadAFH(void);
        void ViewAFH(void);
        __fastcall TAFH(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TAFH *AFH;
//---------------------------------------------------------------------------
#endif
